services:
    lst:
        image: git.tuffraid.net/cowch/lst_v3:latest
        container_name: lst_app
        restart: unless-stopped
    # app:
    #     build:
    #         context: .
    #         dockerfile: Dockerfile
    #     container_name: lst_app
        ports:
            #- "${VITE_PORT:-4200}:4200"
            - "3600:3000"
        dns:
            - 10.44.9.250
            - 10.44.9.251   # your internal DNS server
            - 1.1.1.1
        environment:
            - NODE_ENV=production
            - LOG_LEVEL=info
            - EXTERNAL_URL=http://192.168.8.222:3600
            - DATABASE_HOST=postgres # if running on the same docker then do this
            - DATABASE_PORT=5432
            - DATABASE_USER=${DATABASE_USER}
            - DATABASE_PASSWORD=${DATABASE_PASSWORD}
            - DATABASE_DB=${DATABASE_DB}
            - PROD_SERVER=10.75.9.56 #${PROD_SERVER}
            - PROD_PLANT_TOKEN=${PROD_PLANT_TOKEN}
            - PROD_USER=${PROD_USER}
            - PROD_PASSWORD=${PROD_PASSWORD}
            - GP_SERVER=10.193.9.31
            - SQL_PORT=1433
            - BETTER_AUTH_SECRET=${BETTER_AUTH_SECRET}
            - BETTER_AUTH_URL=${URL}
            - OPENDOCK_URL=${OPENDOCK_URL}
            - OPENDOCK_PASSWORD=${OPENDOCK_PASSWORD}
            - DEFAULT_DOCK=${DEFAULT_DOCK}
            - DEFAULT_LOAD_TYPE=${DEFAULT_LOAD_TYPE}
            - DEFAULT_CARRIER=${DEFAULT_CARRIER}

        #for all host including prod servers, plc's, printers, or other de
        networks:
            - docker-network 

networks:
  docker-network:
    external: true